module adder1();

	reg a, b, cin;
	wire sum;
	reg shadow_sum;
	wire cout;

	integer i;

	full_adder fa(a,b,cin,sum,cout);

	intial begin
		$monitor("time=%t a=%b b=%b cin=%b sum=%b count=%b\n",$time,a,b,cin,sum,cout);
		cin = 0;
		for (i=0; i<2; i=i+1)
			begin
				{a,b} = i;
				shadow_sum = a+b+cin;
				#10;
				if (shadow_sum != sum) $display("Error\n");
			end
		#1;
		$finish;
	end
endmodule
