module cla_adder(a,b,cin,sum,cout);

	input [3:0] a,b;
	input cin;
	output[3:0] sum;
	output cout;
	wire [3:0] p = a^b; // continuous assignment, bitwise xor
	wire [3:0] g = a&b; // continuous assignment, bitwise and
	wire [3:0] c;

	carrylook cla(p[2:0],g[2:0],cin,c);
	assign sum[0] = p[0]^c[0];
	assign sum[1] = p[1]^c[1];
	assign sum[2] = p[2]^c[2];
	assign sum[3] = p[3]^c[3];
	assign cout = g[3] | p[3]&c[3];
endmodule

