module add_subtract(a,b,select,sum,cout);

	input [3:0] a,b;
	input select;
	output [3:0] sum;
	output cout;
	wire [3:0] c, d;

	assign c[0] = select;
	xor (d[0],b[0],select),(d[1],b[1],select),
		(d[2],b[2],select),(d[3],b[3],select);
	full_adder 
		fa0(a[0],d[0],c[0],sum[0],c[1]),
		fa1(a[1],d[1],c[1],sum[1],c[2]),
		fa2(a[2],d[2],c[2],sum[2],c[3]),
		fa3(a[3],d[3],c[3],sum[3],cout);
endmodule
			
